/* AUTO-GENERATED FILE. DO NOT MODIFY.
 * This class was automatically generated by the
 * static binding generator from the resources it found.
 * Please do not modify by hand.
 */
package com.tns.gen.java.lang;

public class Object_vendor_106478_36_DataFormCreateGroupClassImpl extends java.lang.Object
    implements com.tns.NativeScriptHashCodeProvider,
        com.telerik.android.common.Function2<java.lang.Object, java.lang.Object, java.lang.Object> {
  public Object_vendor_106478_36_DataFormCreateGroupClassImpl() {
    super();
    com.tns.Runtime.initInstance(this);
  }

  public java.lang.Object apply(java.lang.Object param_0, java.lang.Object param_1) {
    java.lang.Object[] args = new java.lang.Object[2];
    args[0] = param_0;
    args[1] = param_1;
    return com.tns.Runtime.callJSMethod(this, "apply", java.lang.Object.class, args);
  }

  public int hashCode__super() {
    return super.hashCode();
  }

  public boolean equals__super(java.lang.Object other) {
    return super.equals(other);
  }
}
